You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@flink.apache.org by tz...@apache.org on 2020/03/06 04:43:44 UTC

[flink-statefun] branch docs_experimental__docs updated: Install sphinx-build

This is an automated email from the ASF dual-hosted git repository.

tzulitai pushed a commit to branch docs_experimental__docs
in repository https://gitbox.apache.org/repos/asf/flink-statefun.git


The following commit(s) were added to refs/heads/docs_experimental__docs by this push:
     new 643ef42  Install sphinx-build
643ef42 is described below

commit 643ef4277b47ea6132ec41775c94f7bd9d95f53b
Author: Tzu-Li (Gordon) Tai <tz...@apache.org>
AuthorDate: Fri Mar 6 12:43:13 2020 +0800

    Install sphinx-build
---
 statefun-docs/buildbot/lint-python.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/statefun-docs/buildbot/lint-python.sh b/statefun-docs/buildbot/lint-python.sh
index f29e29d..bf9f91a 100755
--- a/statefun-docs/buildbot/lint-python.sh
+++ b/statefun-docs/buildbot/lint-python.sh
@@ -308,6 +308,14 @@ function install_sphinx() {
         if failed many times, you can try to exec in the form of sudo ./lint-python.sh -f"
         exit 1
     fi
+
+    $CONDA_PATH install -p $CONDA_HOME -c anaconda sphinx-build -y -q 2>&1 >/dev/null
+    if [ $? -ne 0 ]; then
+        echo "conda install sphinx-build failed \
+        please try to exec the script again.\
+        if failed many times, you can try to exec in the form of sudo ./lint-python.sh -f"
+        exit 1
+    fi
 }
 
 function need_install_component() {